# vim: ft=caddyfile

demo.bbaovanc.com {
    import hsts

    root * /var/www/demo.bbaovanc.com
    header X-Robots-Tag noindex

    @index_pages path / /staging/ /test/ /pull_request/
    handle @index_pages {
        header Cache-Control no-store
        header boba-handle indices
        file_server {
            browse
            #sort time desc
        }
    }

    handle /staging/* {
        header Cache-Control no-cache
        header boba-handle staging
        file_server {
            precompressed br gzip
        }
    }

    @test_sites path /test/* /pull_request/*
    handle /test/* {
        header Cache-Control no-store
        header boba-handle test
        file_server {
            browse
        }
    }

    handle {
        respond fallback
    }

    import basicerrors
}
